Bug 226402 - sysutils/node_exporter: Update to 0.16.0 and log to syslog
Summary: sysutils/node_exporter: Update to 0.16.0 and log to syslog
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Josh Paetzel
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-03-06 20:03 UTC by David O'Rourke
Modified: 2018-11-08 16:56 UTC (History)
3 users (show)

See Also:
ports: maintainer-feedback+


Attachments
sysutils/node_exporter: Add log file to rcscript (2.63 KB, patch)
2018-03-06 20:03 UTC, David O'Rourke
no flags Details | Diff
sysutils/node_exporter: Update to 0.16.0 and log to syslog (2.31 KB, patch)
2018-06-15 18:41 UTC, David O'Rourke
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David O'Rourke 2018-03-06 20:03:09 UTC
Created attachment 191259 [details]
sysutils/node_exporter: Add log file to rcscript

Currently, node_exporter will output to stdout which results in a mess in the console when starting the daemon. This patch to the rcscript redirects the output to a log file in a manner similar to other Prometheus exporters.
Comment 1 David O'Rourke 2018-06-15 18:41:29 UTC
Created attachment 194281 [details]
sysutils/node_exporter: Update to 0.16.0 and log to syslog

Updates the diff to:

  - Update node_exporter to 0.16.0
  - Send logs to syslog tagged as node_exporter
Comment 2 jevonearth 2018-06-27 18:37:19 UTC
Pardon the late response. LGTM & thank you.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-08-13 09:37:47 UTC
Comment on attachment 194281 [details]
sysutils/node_exporter: Update to 0.16.0 and log to syslog

Approved by: jevonearth <ports ecadlabs com> (maintainer)
Comment 4 David O'Rourke 2018-09-22 14:37:47 UTC
Is there anything I can do here to help this along?
Comment 5 commit-hook freebsd_committer 2018-11-08 16:55:59 UTC
A commit references this bug:

Author: jpaetzel
Date: Thu Nov  8 16:55:52 UTC 2018
New revision: 484463
URL: https://svnweb.freebsd.org/changeset/ports/484463

Log:
  Update to 0.16

  PR:	226402
  Reported by:	dor.bsd@xm0.uk
  Approved by:	ports@ecadlabs.com (maintainer)

Changes:
  head/sysutils/node_exporter/Makefile
  head/sysutils/node_exporter/distinfo
  head/sysutils/node_exporter/files/node_exporter.in
Comment 6 Josh Paetzel freebsd_committer 2018-11-08 16:56:34 UTC
Committed, thanks!